Name:          cscope
Version:       15.9
Release:       1mamba
Summary:       A text screen based source browser
Group:         Development/Applications
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://cscope.sourceforge.net
Source:        https://downloads.sourceforge.net/project/cscope/cscope/v%{version}/cscope-%{version}.tar.gz
License:       BSD
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Cscope is a developer's tool for browsing source code.
Allows searching code for:
 - all references to a symbol
 - global definitions
 - functions called by a function
 - functions calling a function
 - text string
 - regular expression pattern
 - a file
 - files including a file

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/cscope
%{_bindir}/ocs
%{_mandir}/man1/cscope.*
%doc AUTHORS COPYING ChangeLog NEWS README TODO

%changelog
* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 15.9-1mamba
- update to 15.9

* Mon Apr 10 2017 Automatic Build System <autodist@mambasoft.it> 15.8b-1mamba
- automatic update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 15.8a-1mamba
- update to 15.8a

* Thu Jul 16 2009 Automatic Build System <autodist@mambasoft.it> 15.7a-2mamba
- ... add a changelog entry

* Thu Jul 16 2009 Automatic Build System <autodist@mambasoft.it> 15.7a-1mamba
- automatic update by autodist

* Wed Jan 16 2008 Aleph0 <aleph0@openmamba.org> 15.6-1mamba
- package created by autospec
